#ifndef AVR_IOHELP_EEPROM_H
#define AVR_IOHELP_EEPROM_H

#include <avr/io.h>
#include <stddef.h>

namespace EEPROM{
    void set(uint16_t address, uint8_t data);
    void set(uint16_t address, void * dataSource, size_t dataSize);

    uint8_t get(uint16_t address);
    void get(uint16_t address, void * dataDest, size_t dataSize);
}

#endif //AVR_IOHELP_EEPROM_H
